Personal API Tokens

Renew personal API token

Extends the expiration of a personal API token. Accepts an optional custom `expiresAt` (up to 1 year) or legacy `expiresInHours` (1–24). When neither is provided, defaults to +24 hours.

PATCH
/api/v2/personal-api-tokens/{id}/renew

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The personal API token UUID

Formatuuid

Request Body

application/json

Optional. Provide either expiresAt or expiresInHours (mutually exclusive). When omitted, the token is extended by 24 hours.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v2/personal-api-tokens/01964e3a-7e1c-7000-8000-000000000001/renew" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "01964e3a-7e1c-7000-8000-000000000001",  "name": "My laptop",  "createdAt": "2026-03-23T10:00:00+00:00",  "expiresAt": "2026-03-25T10:00:00+00:00",  "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9..."}
{  "message": {    "expiresInHours": "Expires in hours must be between 1 and 24",    "expiresAt": "expiresAt must be within 1 year"  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "id": "Personal API token not found"  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}